org.jbpm.services.task.commands

## Class GetOrgEntityCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.api.task.model.OrganizationalEntity>
  - - org.jbpm.services.task.commands.GetOrgEntityCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<org.kie.api.task.model.OrganizationalEntity>, org.kie.api.command.ExecutableCommand<org.kie.api.task.model.OrganizationalEntity>

      public class GetOrgEntityCommand
      extends TaskCommand<org.kie.api.task.model.OrganizationalEntity>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetOrgEntityCommand()`
    `GetOrgEntityCommand(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.task.model.OrganizationalEntity` | `execute(org.kie.api.runtime.Context cntxt)`
    `String` | `getId()`
    `void` | `setId(String id)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetOrgEntityCommand

          public GetOrgEntityCommand()

    - #### GetOrgEntityCommand

          public GetOrgEntityCommand(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### execute

          public org.kie.api.task.model.OrganizationalEntity execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.